sectionAddStation {oce} | R Documentation

## Add CTD profile to section

### Description

Add a CTD profile to an existing section.

### Usage

    sectionAddStation(section, station)

### Arguments

`section` | a section to which a station is to be added.
`station` | a ctd object holding data for the station to be added.

### Details

Until March 2015, this operation was carried out with the `+` operator, but at that time, the syntax was flagged by the development version of R, so it was changed to the present form.

### Value

An object of `class` `section`.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(ctd)
    ctd2 <- ctd
    ctd2[["temperature"]] <- ctd2[["temperature"]] + 0.5
    ctd2[["latitude"]] <- ctd2[["latitude"]] + 0.1
    section <- as.section(c("ctd", "ctd2"))
    ctd3 <- ctd
    ctd3[["temperature"]] <- ctd[["temperature"]] + 1
    ctd3[["latitude"]] <- ctd[["latitude"]] + 0.1
    ctd3[["station"]] <- "Stn 3"
    sectionAddStation(section, ctd3)

[Package oce version 0.9-18 Index]